[torquedev] auto tool problem

Ken Nielson knielson at adaptivecomputing.com
Thu Sep 15 12:19:40 MDT 2011


----- Original Message -----
> From: "Ken Nielson" <knielson at adaptivecomputing.com>
> To: "Torque Developers mailing list" <torquedev at supercluster.org>
> Sent: Friday, September 9, 2011 4:54:05 PM
> Subject: [torquedev] auto tool problem
> 
> Hi all,
> 
> We are having a problem with configure.ac and autoconf for the trunk
> when building on CentOS 5 and CentOS 3.
> 
> Autoconf produces the following error.
> 
>       configure.ac:49: error: possibly undefined macro: AC_MSG_ERROR
>       If this token and others are legitimate, please use
>       m4_pattern_allow.
>       See the Autoconf documentation.
> 
> This compiles fine on Ubuntu versions 10 and 11. We have used
> autoconf version 2.65 and 2.67. The libtool version is 2.4 and
> automake is version 1.11.
> 
>

Hi all,

It turns out that this is not an OS problem at all. The problem was the hwloc was not installed on the machines where we were building TORQUE.

So another possible solution to the many I found out on the web concerning the autoconf error : possibly undefined macro: issue is that a library may be missing.

Regards

Ken Nielson


More information about the torquedev mailing list